Download it now!
Bug 130862 - AUTO-REDACT: enhance GUI and term
Summary: AUTO-REDACT: enhance GUI and term
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.4.0.3 release
Hardware: All All
: medium normal
Assignee: Adolfo Jayme
URL:
Whiteboard: target:7.0.0 target:7.1.0 target:7.0....
Keywords: needsUXEval
Depends on:
Blocks: Redaction
  Show dependency treegraph
 
Reported: 2020-02-22 10:20 UTC by guser
Modified: 2020-09-03 20:23 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description guser 2020-02-22 10:20:04 UTC
Description:
Automatic Redaction window has not equal button size (Add target button has smaller height as other buttons).
When resize dialog, only Help, Cancel and OK buttons change position (Targets buttons and target list are same, without change).

In Add target dialog (Add Target button) has in Type dropdown Regex item. This term is not same as in other place in LibreOffice (for example Calc > Tools > Options > LibreOffice Calc > Calculate > Enable regular expressions in formulas or in Help). I think: rename Regex to Regular expression.

Steps to Reproduce:
1. Run LibreOffice Writer
2. Click Tools menu and then Auto-Redact

Actual Results:
As in description

Expected Results:
Change list and buttons size and position when resize dialog.
Rename Regex to Regular expression.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.4.0.3 (x64)
Build ID: b0a288ab3d2d4774cb44b62f04d5d28733ac6df8
CPU threads: 4; OS: Windows 10.0 Build 18362; UI render: default; VCL: win; 
Locale: sk-SK (sk_SK); UI-Language: en-US
Calc: threaded
Comment 1 Heiko Tietze 2020-02-24 08:13:32 UTC
(In reply to guser from comment #0)
> Add target button has smaller height as other buttons

/confirmed
The other buttons look non-standard to me.

> When resize dialog, only Help, Cancel and OK buttons change position
> (Targets buttons and target list are same, without change).

/not confirmed 
Help sticks to the left while Cancel/Ok are on the right side; that's how all our dialogs work; testing with v7.

> In Add target dialog ... rename Regex to Regular expression.

Agreed.
Comment 2 Commit Notification 2020-02-27 03:11:31 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/64cfe0c8ae0d69981f381255acbabfe38ac61fb5

Related: tdf#128191 tdf#130862 Use whole words in lieu of clippings in UI strings

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Heiko Tietze 2020-02-27 14:46:08 UTC Comment hidden (obsolete)
Comment 4 Adolfo Jayme 2020-02-27 19:42:23 UTC Comment hidden (obsolete)
Comment 5 guser 2020-03-13 09:48:55 UTC
(In reply to Heiko Tietze from comment #1)
> (In reply to guser from comment #0)
> > Add target button has smaller height as other buttons
> 
> /confirmed
> The other buttons look non-standard to me.
> 
> > When resize dialog, only Help, Cancel and OK buttons change position
> > (Targets buttons and target list are same, without change).
> 
> /not confirmed 
> Help sticks to the left while Cancel/Ok are on the right side; that's how
> all our dialogs work; testing with v7.
> 
> > In Add target dialog ... rename Regex to Regular expression.
> 
> Agreed.

And target list? It's without size chnage. For example, Options dialog when change size, other control change self size too.
Comment 6 Xisco Faulí 2020-07-22 15:12:55 UTC
A polite ping to Adolfo Jayme Barrientos:
Is this bug fixed? if so, could you please close it as RESOLVED FIXED ?
Otherwise, Could you please explain what's missing?
Thanks
Comment 7 Commit Notification 2020-07-23 12:47:44 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e3552b5393b2912732530b4087d22ecf90865926

tdf#130862 Remove wrong size values from individual buttons; use HIG spacing

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2020-07-30 10:52:46 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/17a86a288e80e483f28c4ef190ed727fa73004f1

tdf#130862 Remove wrong size values from individual buttons; use HIG spacing

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2020-09-03 06:40:51 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/ceba2e28e09b6cac880bd288e7aa02afee6257b3

tdf#130862 Remove wrong size values from individual buttons; use HIG spacing

It will be available in 6.4.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 BogdanB 2020-09-03 20:23:57 UTC
It's ok, the same size.

Verified in
Version: 7.1.0.0.alpha0+
Build ID: e2f4e65a7b8024c00b049eebf0d87637efda7f24
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: en-US (ro_RO.UTF-8); UI: en-US
Calc: threaded